<?php
define('NO_SESS', 1); //no need for a session
require_once($_SERVER['DOCUMENT_ROOT'] . '/webEdition/we/include/we.inc.php');

$stat = stat(__FILE__);
$setting = we_base_request::_(we_base_request::STRING, 'settings');
$etag = md5($stat['size'] . $stat['ctime'] . $stat['mtime'] . we_serialize($setting));
$modDate = gmdate('D, d M Y H:i:s', $stat['mtime']) . ' GMT';
header('Etag: "' . $etag . '"');
header('Last-Modified: ' . $modDate, true);
header('Expires: ' . gmdate('D, d M Y H:i:s', time() + we_base_util::SECONDS_DAY) . ' GMT', true);
header('Cache-Control: max-age=' . we_base_util::SECONDS_DAY . ', must-revalidate', true);
header_remove('Pragma');

if((!empty($_SERVER['HTTP_IF_NONE_MATCH']) && $_SERVER['HTTP_IF_NONE_MATCH'] === $etag) ||
	(!empty($_SERVER['HTTP_IF_MODIFIED_SINCE']) && $_SERVER['HTTP_IF_MODIFIED_SINCE'] === $modDate)){
	we_html_tools::setHttpCode(304);
	return;
}
if(empty($setting)){
	return;
}

header('Content-Type: text/css', true);
echo '
.weSelfClose:hover:after,
.cm-weSelfClose:hover:after,
.weOpenTag:hover:after,
.cm-weOpenTag:hover:after,
.weTagAttribute:hover:after,
.cm-weTagAttribute:hover:after {
	font-family: ' . $setting['toolFont']['family'] . ';
	font-size: ' . $setting['toolFont']['size'] . 'px;
}

.CodeMirror,
.CodeMirror.cm-s-ambiance,
.CodeMirror.cm-s-solarized {
	font-family: ' . $setting['font']['family'] . ' !important;
	font-size: ' . $setting['font']['size'] . 'px !important;
}

' . ($setting['tab'] ? '' : '
.CodeMirror .cm-tab {
color: transparent;
}

') .
 (empty($setting['Template']['tid']) ? '' :
	we_template::we_getCSSIds(intval($setting['Template']['tid'])));
