/* global tinymce */
'use strict';
(function () {
	tinymce.create('tinymce.plugins.WeimagePlugin', {
		init: function (e, f) {
			e.addCommand('mceWeimage', function (ui, dropID) {
				var dropID = dropID || 0;
				var intID = 0;
				var thumbID = 0;
				var wesrc = '';
				var isPresetFromDnD = 0;
				var imgChangedCmd = 0;

				e.isWeDataInitialized = false;
				if (e.dom.getAttrib(e.selection.getNode(), 'class', '').indexOf('mceItem') !== -1) {
					return;
				}

				if (dropID) {
					isPresetFromDnD = 1;
					intID = dropID;
				} else {
					var wesrc = '';
					if (e.selection.getNode().nodeName === 'IMG' && e.dom.getAttrib(e.selection.getNode(), 'src', '')) {
						wesrc = e.dom.getAttrib(e.selection.getNode(), 'src', '');

						if (wesrc) {
							var matches;
							if ((matches = wesrc.match(/[^?]+\?id=(\d+)/))) {
								intID = parseInt(matches[1]);
							} else if ((matches = wesrc.match(/[^?]+\?thumb=(\d+),(\d+)/))) {
								intID = parseInt(matches[1]);
								thumbID = parseInt(matches[2]);
							}
						}
					}
					if (intID) {
						wesrc = '';
						imgChangedCmd = 1;
					}
					wesrc = intID ? '' : wesrc;
				}

				e.windowManager.open({
					file: '/webEdition/we_cmd_frontend.php?we_cmd[0]=open_dialog_image&we_dialog_args[editor]=tinyMce&we_dialog_args[src]=' + encodeURIComponent(wesrc) + '&we_dialog_args[cssclasses]=' + e.getParam('weClassNames_urlEncoded') + "&we_dialog_args[isFrontend]=" + e.getParam('weIsFrontend') + "&we_dialog_args[selectorStartID]=" + e.getParam('weImageStartID') + "&we_dialog_args[fileID]=" + intID + "&we_dialog_args[thumbnail]=" + thumbID + "&we_dialog_args[imgChangedCmd]=" + imgChangedCmd + "&we_dialog_args[isPresetFromDnD]=" + isPresetFromDnD,
					popup_css: false,
					width: 600 + parseInt(e.getLang('weimage.delta_width', 0)),
					height: 610 + parseInt(e.getLang('weimage.delta_height', 0)),
					inline: 1
				}, {
					plugin_url: f
				});
			});
			e.addButton('weimage', {
				title: 'we.tt_weimage',
				cmd: 'mceWeimage'
			});
		},
		getInfo: function () {
			return {
				longname: 'webEdition Image-Dialog',
				author: 'webEdition e.V',
				authorurl: 'http://www.webedition.org',
				infourl: 'http://www.webedition.org'
			};
		}
	});
	tinymce.PluginManager.add('weimage', tinymce.plugins.WeimagePlugin);
})();