<?php
require_once ($_SERVER['DOCUMENT_ROOT'] . '/webEdition/we/include/we.inc.php');
we_html_tools::protect([we_base_perm::ADMINISTRATOR]);

//disable error-handler!
we_base_errorHandler::disable();

function adminer_object(){
	// required to run any plugin
	require_once 'plugins/plugin.php';

	// autoloader
	foreach(glob('plugins/*.php') as $filename){
		include_once $filename;
	}

	$plugins = [
		new AdminerDumpZip(),
		new AdminerDumpDate(),
		new AdminerEnumOption(),
		new AdminerEditTextarea(),
		new AdminerFrames(),
		new AdminerVersionNoverify(),
		new AdminerStructComments(),
		new AdminerAllowedPrefixes(TBL_PREFIX ? [TBL_PREFIX] : null)
		/* new AdminerDumpXml,
		  new AdminerTinymce,
		  new AdminerFileUpload("data/"),
		  new AdminerSlugify,
		  new AdminerTranslation,
		  new AdminerForeignSystem, */
	];


	return new weAdminer($plugins);
}

// include original Adminer or Adminer Editor
include 'code/adminer-4.7.1-mysql.php';
