<?php
/**
 * webEdition CMS
 *
 * $Rev: 342e215a2edb $
 * $Author: Marc Kraemer <marc.kraemer@webedition.org> $
 * $Date: 2018-03-21 11:07 +0000 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software, you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
return [
	'new' => [
		'text' => g_l('modules_customer', '[menu_new]'),
		'perm' => [we_base_perm::CUSTOMER_NEW],
		'icon' => 'fa fa-plus-circle',
	],
	[
		'text' => g_l('modules_customer', '[menu_customer]'),
		'parent' => 'new',
		'cmd' => 'new_customer',
		'perm' => [we_base_perm::CUSTOMER_NEW],
	],
	'customer' => [
		'text' => g_l('modules_customer', '[menu_customer]'),
		'icon' => 'fa fa-users'
	],
	[
		'text' => g_l('modules_customer', '[menu_save]'),
		'parent' => 'customer',
		'cmd' => 'save_customer',
		'perm' => [we_base_perm::CUSTOMER_EDIT, we_base_perm::CUSTOMER_NEW],
	],
	[
		'text' => g_l('modules_customer', '[menu_delete]'),
		'parent' => 'customer',
		'cmd' => 'delete_customer',
		'perm' => [we_base_perm::CUSTOMER_DELETE],
	],
	['parent' => 'customer',], // separator
	'admin' => [
		'text' => g_l('modules_customer', '[menu_admin]'),
		'parent' => 'customer',
	],
	[
		'text' => g_l('modules_customer', '[field_admin]') . '&hellip;',
		'parent' => 'admin',
		'cmd' => 'show_admin',
		'perm' => [we_base_perm::CUSTOMER__SHOW_ADMIN],
	],
	[
		'text' => g_l('modules_customer', '[sort_admin]') . '&hellip;',
		'parent' => 'admin',
		'cmd' => 'show_sort_admin',
		'perm' => [we_base_perm::CUSTOMER__SHOW_ADMIN],
	],
	['parent' => 'customer',], // separator
	[
		'text' => g_l('modules_customer', '[import]') . '&hellip;',
		'parent' => 'customer',
		'cmd' => 'import_customer',
		'perm' => [we_base_perm::CUSTOMER__SHOW_ADMIN],
	],
	[
		'text' => g_l('modules_customer', '[export]') . '&hellip;',
		'parent' => 'customer',
		'cmd' => 'export_customer',
		'perm' => [we_base_perm::CUSTOMER__SHOW_ADMIN],
	],
	['parent' => 'customer',], // separator
	[
		'text' => g_l('modules_customer', '[search]') . '&hellip;',
		'parent' => 'customer',
		'cmd' => 'show_search',
	],
	[
		'text' => g_l('modules_customer', '[settings]') . '&hellip;',
		'parent' => 'customer',
		'cmd' => 'show_customer_settings',
	],
	['parent' => 'customer',], // separator
	[
		'text' => g_l('modules_customer', '[menu_exit]'),
		'parent' => 'customer',
		'cmd' => 'exit_customer',
	],
];
