<?php
/**
 * webEdition CMS
 *
 * $Rev: 1a73906214ea $
 * $Author: Marc Kraemer <marc.kraemer@webedition.org> $
 * $Date: 2018-07-01 23:44 +0000 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
return [
	'new' => [
		'text' => g_l('modules_users', '[menu][new]'),
		'icon' => 'fa fa-plus-circle',
	],
	['text' => g_l('modules_users', '[menu][user]'),
		'parent' => 'new',
		'cmd' => 'new_user',
		'perm' => [we_base_perm::USER_NEW],
	],
	['text' => g_l('modules_users', '[menu][alias]'),
		'parent' => 'new',
		'cmd' => 'new_alias',
		'perm' => [we_base_perm::USER_NEW],
	],
	['parent' => 'new',],
	['text' => g_l('modules_users', '[menu][group]'),
		'parent' => 'new',
		'cmd' => 'new_group',
		'perm' => [we_base_perm::USER_GROUP_NEW],
	],
	'user' => [
		'text' => g_l('modules_users', '[menu][user]'),
		'icon' => 'fa fa-user'
	],
	['text' => g_l('modules_users', '[menu][save]'),
		'parent' => 'user',
		'cmd' => 'save_user',
		'perm' => [we_base_perm::USER_GROUP_NEW, we_base_perm::USER_NEW, we_base_perm::USER_SAVE, we_base_perm::USER_GROUP_SAVE],
	],
	['text' => g_l('modules_users', '[menu][delete]'),
		'parent' => 'user',
		'cmd' => 'delete_user',
		'perm' => [we_base_perm::USER_DELETE, we_base_perm::USER_GROUP_DELETE],
	],
	['parent' => 'user',],
	['text' => g_l('modules_users', '[menu][exit]'),
		'parent' => 'user',
		'cmd' => 'exit_users',
	],
];
