<?php
/**
 * webEdition CMS
 *
 * $Rev: dd2fabdd98d3 $
 * $Author: Marc Kraemer <marc.kraemer@webedition.org> $
 * $Date: 2018-06-19 18:40 +0000 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
define('WE_EDIT_IMAGE', true);

class we_editor_imageedit extends we_editor_base{

	public function show(){
		$gdtype = $this->we_doc->getGDType();
		$supported = we_base_imageEdit::supported_image_types();
		$focus = we_unserialize($this->we_doc->getElement('focus', we_contents_base::ETYPE_TEXT), [0, 0]);

		return $this->getPage(we_html_element::div(['style' => 'margin:1em 2em;'], we_html_element::div([], '
<select name="editmenue" onchange="changeOption(this);"' . (($this->we_doc->getElement('data') && we_base_imageEdit::is_imagetype_read_supported($gdtype) && we_base_imageEdit::gd_version() > 0) ? "" : ' disabled="disabled"') . '>
<option value="imageEditTools_reset" selected="selected" style="color:grey"></option>
<optgroup label="' . g_l('weClass', '[edit]') . '">
<option value="image_resize">' . g_l('weClass', '[resize]') . '&hellip;</option>
<option value="image_rotate">' . g_l('weClass', '[rotate]') . '&hellip;</option>
<option value="image_crop">' . g_l('weClass', '[crop]') . '&hellip;</option>
<option value="image_focus">' . g_l('weClass', '[image_focus]') . '&hellip;</option>
</optgroup>
<optgroup label="' . g_l('weClass', '[convert]') . '">' .
						((in_array('jpg', $supported)) ? '<option value="image_convertJPEG">' . g_l('weClass', '[convert_jpg]') . '...</option>' : '') .
						(($gdtype != "gif" && in_array('gif', $supported)) ? '<option value="doImage_convertGIF">' . g_l('weClass', '[convert_gif]') . '</option>' : '') .
						(($gdtype != "png" && in_array('png', $supported)) ? '<option value="doImage_convertPNG">' . g_l('weClass', '[convert_png]') . '</option>' : '') .
						'</optgroup>
</select>'
					) .
					we_html_element::div(['id' => 'focus_info', 'style' => 'margin-top:10px; display:none'], we_html_tools::alertAttentionBox(g_l('weClass', '[focus_info]'), we_html_tools::TYPE_INFO, 640)) .
					'<table class="default">
' . ($this->we_doc->EditPageNr == we_base_constants::WE_EDITPAGE_IMAGEEDIT ?
					'<tr><td style="padding-bottom:20px;"></td></tr>' :
					''
					) . '<tr><td>' . $this->we_doc->getHtml(true) . we_html_element::div(['id' => "cursorVal", 'style' => "display:none"], '
<input type="hidden" id="x_focus" value="' . round(floatval($focus[0]), 2) . '"/>
<input type="hidden" id="y_focus" value="' . round(floatval($focus[1]), 2) . '"/>
<input type="hidden" name="we_' . $this->we_doc->Name . '_input[focus]" id="focus" value="[' . implode(',', $focus) . ']"/>
') . '
</td></tr>
</table>', '', ['onload' => (substr(we_base_request::_(we_base_request::STRING, 'we_cmd', '', 0), 0, 15) === 'doImage_convert' ?
					'WE().layout.we_setPath(_EditorFrame,"' . $this->we_doc->Path . '","' . $this->we_doc->Text . '", ' . intval($this->we_doc->ID) . ',"published");' :
					'')]));
	}

}
