<?php

/**
 * webEdition CMS
 *
 * $Rev: 453d326b0aa7 $
 * $Author: Marc Kraemer <marc.kraemer@webedition.org> $
 * $Date: 2018-11-12 16:41 +0100 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
abstract class we_tag_answers extends we_weTag_tag{

	public static function parse(array $attribs, $content){
		if(!we_modules_info::isActive(we_modules_info::VOTING)){
			return self::modulMissingError('Voting', __CLASS__);
		}
		return '<?php while(' . we_weTag_parser::printTag('answers', $attribs) . '){?>' . $content . '<?php }?>';
	}

	public static function tag(array $attribs = [], $content = '', $internal = false){
		if(we_tag_voting::$currentVoting){
			if(we_tag_voting::$currentVoting->getNext()){
				return true;
			}

			we_tag_voting::$currentVoting->resetSets();
		}
		return false;
	}

}

function we_tag_answers(){
	return we_tag_answers::tag();
}
