<?php

/**
 * webEdition CMS
 *
 * $Rev: ac921487b62e $
 * $Author: Marc Krämer <marc.kraemer@aldente-it.de> $
 * $Date: 2018-10-25 10:06 +0200 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
abstract class we_tag_keywords extends we_weTag_tag{

	public static function parse(array $attribs, $content){
		$attribs['_type'] = 'stop';
		return '<?php ' . we_weTag_parser::printTag('keywords', ['_type' => 'start']) . ';?>' . $content . '<?= ' . we_weTag_parser::printTag('keywords', $attribs) . ';?>';
	}

	public static function tag(array $attribs = [], $content = '', $internal = false){
		switch(self::getAttribute('_type', $attribs, '', we_base_request::STRING)){
			case 'start':
				ob_start();
				return '';
			case 'stop':
				$content = ob_get_clean();
		}

		$htmlspecialchars = self::getAttribute('htmlspecialchars', $attribs, false, we_base_request::BOOL);

		$content = $GLOBALS['we']['main']['doc']->getElement(we_contents_root::KEYWORD_FIELD, we_contents_base::ETYPE_TEXT, $content, true);

		if(!empty($GLOBALS['we']['editmode'])){
			//set meta data & exit
			$GLOBALS['meta'][we_contents_root::KEYWORD_FIELD]['default'] = $content;
			return '';
		}
		$attribs['name'] = 'keywords';
		$attribs['content'] = str_replace('"', '\'', ($htmlspecialchars ? oldHtmlspecialchars(strip_tags($content)) : strip_tags($content)));
		return empty($attribs['content']) ? '' : (getHtmlTag('meta', removeAttribs($attribs, ['htmlspecialchars', '_type'])) . "\n");
	}

}

function we_tag_keywords(array $attribs, $content = ''){
	return we_tag_keywords::tag($attribs, $content);
}
